>> Neu >> EmbyDream - Ein Emby Client Plugin für die DM 7080, 9xx, One und Two << Neu <<



Sticky [Plugin] E2iPlayer + Anleitung [ !!! Hier bitte keine Fragen !!! ]

    • [Plugin] E2iPlayer + Anleitung [ !!! Hier bitte keine Fragen !!! ]

      Ich habe die Anleitung für das Plugin "E2iPlayer" zum installieren als PDF gespeichert.

      Neu, geändert am 28.11.2021
      Den Download von maxbambi (ipk) habe ich entfernt, weil maxbambi seit 5 Monate keine Updates mehr zur verfügung stellt,
      und durch die zadmario Version ersetzt.
      Wie man ein Online-Update durchführt, ist in der PDF E2iPlayer-Anleitung beschrieben.

      Der Download (ipk) für die neue zadmario-Version befindet sich in Post 12,
      da ich hier nur eine Begrenzte Anzahl an Downloads hochladen kann!


      1.jpg2.jpg3.jpg4.jpg5.jpg6.jpg

      Homepage von Maxbambi
      Klick mich

      Homepage von Zadmario
      Klick mich

      Homepage von mosz_nowy
      Klick mich

      Homepage von 9thprince
      Klick mich



      Alpha & O wrote:

      -fix youtube
      Rar entpacken, yuotupe.py kopieren nach:
      path /usr/lib/enigma2/python/Plugins/Extensions/IPTVPlayer/libs/youtube_dl/extractor

      !!! Achtung !!!!

      Hier bitte keine Fragen , Der Support Thread zum E2iPlayer ist ist hier zu finden


      Support Thread zum E2iPlayer

      Nur dort werden Fragen beantwortet


      Files

      Post was edited 3 times, last by Alpha & O ().


    • Skin für den E2iPlayer (HD und FHD) mit miniTV

      Skin für den E2iPlayer (HD und FHD) mit miniTV
      (minitv-black-hd-1+full-hd-2_v1_all.ipk)
      Wichtig:
      Wer auf seiner Box ein HD Skin installiert und auf Aktiv gestellt hat,
      muss im Menü vom E2i Player bei der Skin Auswahl auf: miniTV_black_HD_1 --> stellen.
      Wer ein FDH (Full HD) als Skin auf seiner Box installiert hat,
      muss im Menü vom E2i Player bei der Skin Auswahl auf: miniTV_black_Full HD_2 --> stellen.


      Bei den Skins für HD und FHD ist der Hintergrund schwarz und nicht transparent, und die Auflösung auf der vollen Bildschirmgrösse vom TV eingestellt,
      damit man den aktuellen Sender weiter sehen kann, statt transparenten Hintergrund.

      Edit: Alpha & O am 26.10.2021

      Skin für den E2iPlayer (HD und FHD) mit miniTV jetzt auch als .deb für Dreamboxen.
      Die Anleitung für die Ski Auswahl ist die Gleich:

      (Im Menü (Konfiguration) den Skin auswählen :Skin= miniTV_black-Full HD_2 für den FHD Skin auf der Box, oder
      miniTV_black_HD_1 für den HD Skin auf der Box.

      Edit by Anz: Beide Beiträge zusammengefügt
      Files

    • Im Moment scheint es ein Problem mit dem E2iPlayer zu geben, bei Maxbambi und auch bei Zadmario.
      Ich habe eben ein Images Backup installiert, wo noch die ältere Version installiert ist, auch da kommt jetzt der Fehler:
      PyCurl würde fehlen.
      Ich hab dann PyCurl mit Telnet neu installiert, der Fehler wird immer noch angezeigt, aber wenn ich dann die OK Taste drücke, können
      die Filme dann doch trotz Fehlermeldung abgespielt werden.
      Mit Telnet die Box verbinden und den Befehl eingeben (copy und paste):
      wget e2iplayer.gitlab.io/pycurlinstall.sh -O - | /bin/sh
      Die anschliessende Abfrage mit: y
      bestätigen.
      Dann reboot reintippen, und Entertaste drücken.

    • Wer die Server zwischen maxbambi und zadmario wechseln und testen will:
      In der E2iPlayer-Konfiguration steht bei maxbambi in
      Bevorzugter Update-Server : Gilab
      Select Gitlab repository owner : "maxbammbi"
      ______________
      Jetzt einfach bei
      Select Gitlab repository owner : "zadmario" mit Steuerkreuz rechts auswählen, und mit Grüner Taste Speichern.
      Das Update auf zadmario wird installiert.
      ______________
      Umgekehrt geht das nicht so einfach, weil zadmario in der Plugin.py den Server von maxbambi nicht eingetragen hat.

      Wenn man Zadmario installiert hat, und wieder auf maxbambi zurück will, fehlt bei
      Bevorzugter Update-Server : Gitlab. (ist auf zadmario.gitlab.io)
      Das macht aber nichts, weil man bei:
      Select Gitlab repository owner: (Einfach "maxbambi" auswählen)
      Dann Grüne Taste (Speichern)
      Dann Plugin aktualisieren.
      Dort jetzt:
      "Wähle Update-Server" auf gitlab.com wechseln.
      Fertig, schon wird maxbambi wieder installiert.
      ______________
      Bei der Konfiguration von zadmario ist der Eintrag:
      Erlaube Downgrade: (Haken setzen) und
      Update Pakettyp: (Alle Arten)
      nicht auf der ersten Seite, sondern man muß ganz runter Scollen bis zur letzten Seite, und überprüfen, ob es so gesetzt ist.
      Bei der Dreambox 920 war das bei mir nicht der Fall, und ich konnte deshalb erst nach der Änderung ein Update starten.
      Files

    • Youtube-Fix von -=Mario=- 23.10.2021
      Rar entpacken, youtube.py kopieren/ersetzen nach:
      /usr/lib/enigma2/python/Plugins/Extensions/IPTVPlayer/libs/youtube_dl/extractor
      ___________________________
      @Admin/Mods, alte Youtube-Fixe Bitte löschen.

      Edit by Anz: Youtube Fix in Post 1 getauscht

    • Achtung !!!!
      Der Support Thread zum E2iPlayer ist immer noch dort:
      Support Thread zum E2iPlayer

      Bitte Müllt nicht hier den Thread für Downloads und Anleitungen ([Plugin] E2iPlayer + Anleitung) zu!!!

      Wenn der Thread hier weiterhin als Support Thread benutzt wird....werde ich keine Updates mehr hochladen
      _________________________
      Nochmal an die Admins oder Mods:
      Es müssen unbedingt alle alten Anhänge für Youtube-Fixe gelöscht werden (alle vor den 23.10.2021),
      weil diese sowieso nicht mehr funktionieren.



      Für Youtube mit den Dreamboxen wird der neue Fix nicht laufen, auch wenn man vorher den E2iPlayer
      deinstalliert, und eine neuere Version installiert. Warum auch immer...mit VTI und openATV ist das kein Problem.
      Daher habe ich für Dreamboxen eine neue deb erstellt (von Zadmario VERSION="2021.10.24.01"),
      die auf ein ein Neuinstalliertes Dream Os ohne Probleme läuft.

      Warscheinlich muss ich die Rar wieder splitten, weil ich keine besonderen Rechte habe.

    • Für Dream OE ab 2.5:
      E2iPlayer von Zadmario 24.10.2021

      Die deb sollte auf ein neu installietes Image installiert werden, oder wo noch kein E2iPlayer installiert war.
      Die Dreams scheine da etwas zickig zu sein, die Fehlermeldungen von Youtube kommen auch, wenn man vorher
      den E2iPlayer deinstalliert, ne Neue installiert.
      Es ist die letzte neue Version von Zadmario, mit den yourtube Fix.

      Edit by Anz: deb Version in Post 1 getauscht

      Neuer Skin für Dreamboxen in der deb Version in Post 2 angefügt

    • @Anz,
      Mir ist ein schwerer Fehler unterlaufen:
      Ich hatte den Skin falsch benannt, und dann noch als rar hochgeladen!
      Bitte umändern in Post 2: "enigma2-plugin-extensions-skin-e2iplayer-minitv-black-hd-1+full-hd_v1_all"
      durch die .deb:
      skin-e2iplayer-minitv-black-hd-1+full-hd_v1_all.deb
      (Es ist der gleiche Skin, aber nicht als rar gepackt, und mit den richtigen Name)

      Edit by Anz:
      Neue Version für Dreamboxen (deb Version) in Post 2 getauscht

      Post was edited 1 time, last by Alpha & O ().


    • Für die Dreamboxen mit DreamOS muss bei dem Youtube-Fix die Zeile 10 (from Plugins.Extensions.IPTVPlayer.libs.youtube_dl.utils import _unquote) und auch bei Images auf Python 3 Basis, mit Raute ( # ) ausgeklammert werden.

      Wenn man ein Updade auf eine neue Version von E2iPlayer vornimmt, wird youtube.py überschrieben, und muss wieder die Zeile :
      from Plugins.Extensions.IPTVPlayer.libs.youtube_dl.utils import _unquote
      ausklammern.
      Hier die geänderte youtube.py für DreamOS.
      __________________________________________________________________

      In Post 1, Download: enigma2-plugin-extensions-e2iplayer_20211024_all.deb, ist die Zeile noch nicht ausgeklammert!, da meine Dream 920 den Fehler nicht angezeigt hatte.

      Edit by Anz: Datei in Post 1 angehangen und mit Zusatz Dreambox versehen.
      Files
      • youtube_py.jpg

        (107.18 kB, downloaded 33 times, last: )

      Post was edited 2 times, last by Alpha & O ().


    • XXX nachträglich mit Konsole (Telnet) installieren (Pincode: 0000)
      Copy und Paste:

      fullwget --no-check-certificate gitlab.com/iptv-host-xxx/iptv-…/iptv-host-xxx-master.zip -O /tmp/iptv.zip && unzip /tmp/iptv.zip -d /tmp/ && cp -rf /tmp/iptv-host-xxx*/IPTVPlayer /usr/lib/enigma2/python/Plugins/Extensions

      Box neu starten (reboot)

      Die XXX 18+ findet man im Würfel.

      Hier noch eine ipk (Host-xxx) für Python2 und 3
      Files

      Post was edited 2 times, last by Alpha & O ().